Start a stopped cluster
import requests
url = "https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/start \
--header 'Authorization: Bearer <token>'{
"marked_to_start_at": "2023-11-07T05:31:56Z",
"created_operations": 0,
"scope": "all",
"state_restore": "requested",
"state_snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state_snapshot": {
"captured_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger": "<string>"
},
"captured_state_snapshots": 0,
"state_restore_message": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Scaleway Clusters
Start a stopped cluster
Bearer PAT authentication; RBAC permission clusters.operate.
POST
/
api
/
v1
/
clusters
/
scaleway
/
{cluster_id}
/
start
Start a stopped cluster
import requests
url = "https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/start \
--header 'Authorization: Bearer <token>'{
"marked_to_start_at": "2023-11-07T05:31:56Z",
"created_operations": 0,
"scope": "all",
"state_restore": "requested",
"state_snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state_snapshot": {
"captured_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger": "<string>"
},
"captured_state_snapshots": 0,
"state_restore_message": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Response
Successful response